#!/usr/bin/env Rscript
data<-read.delim("NSC_readmap.otu")
a<-which(data$X33>(0.05*sum(data$X33)))
b<-which(data$X34>(0.05*sum(data$X34)))
row_to_remove<-c(a,b) # Should be 3 abundant OTUs, matching Halomonas phoceae (x2) and Shewanella algae (x1)
# print ID of OTUs to remove
write.table(data[row_to_remove,1],file="control.OTUS.removal.txt")
# OTUs abundant in control => removed 
data2<-data[-row_to_remove,] # arrange column numbers according to results of "which" above  

# Create global OTU table
write.table(data2,file="globalNSC.otu", quote=FALSE,sep="\t",row.names=F)

